> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Product Review

> Submit a review for a product (auth required).



## OpenAPI

````yaml https://api.vellaro.io/openapi.json post /api/v1/products/{slug}/reviews
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/products/{slug}/reviews:
    post:
      tags:
        - reviews
      summary: Create Product Review
      description: Submit a review for a product (auth required).
      operationId: create_product_review_api_v1_products__slug__reviews_post
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
            title: Slug
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReviewCreate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_ReviewPublicOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReviewCreate:
      properties:
        rating:
          type: integer
          title: Rating
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        body:
          type: string
          title: Body
      type: object
      required:
        - rating
        - body
      title: ReviewCreate
    ApiResponse_ReviewPublicOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/ReviewPublicOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[ReviewPublicOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ReviewPublicOut:
      properties:
        id:
          type: string
          title: Id
        author_name:
          type: string
          title: Author Name
        rating:
          type: integer
          title: Rating
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        body:
          type: string
          title: Body
        is_verified_purchase:
          type: boolean
          title: Is Verified Purchase
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - author_name
        - rating
        - title
        - body
        - is_verified_purchase
        - created_at
      title: ReviewPublicOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````